package com.fuzamei.common.constrain;

/**
 * @file_name: ReslutMsgEnum
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:04
 * @version：
 */
public enum ReslutMsgEnum {
    CASH_NOT_ENOUGH("余额不足",100);
    private String name;
    private int code;
    // 构造方法
    private ReslutMsgEnum(String name, int code) {
        this.name = name;
        this.code = code;
    }

    // 普通方法
    public static String getName(int code) {
        for (ReslutMsgEnum c : ReslutMsgEnum.values()) {
            if (c.getCode() == code) {
                return c.name;
            }
        }
        return null;
    }
    // get set 方法
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public void setCode(int code) {
        this.code = code;
    }
}
