package com.fuzamei.controller;

import com.fuzamei.dto.AssetChangeDto;
import com.fuzamei.enums.CodeEnum;
import com.fuzamei.service.AssetService;
import com.fuzamei.util.ResponseUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServlet;
import java.util.ArrayList;
import java.util.List;

/**
 * @file_name: AssetController
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/10 15:32
 * @version：
 */
@RestController
@RequestMapping(value = "/asset")
public class AssetController {
    @Autowired
    private AssetService assetService;

    @PostMapping(value = "/addMoney")
    public ResponseUtil addMoney(){
        AssetChangeDto assetChangeDto = new AssetChangeDto();
        assetChangeDto.setAccountId("1");
        assetChangeDto.setChinaYuan(1020.0);
        AssetChangeDto assetChangeDto1 = new AssetChangeDto();
        assetChangeDto1.setAccountId("1");
        assetChangeDto1.setChinaYuan(-20.0);
        List<AssetChangeDto> list = new ArrayList<>();
        list.add(assetChangeDto);
        list.add(assetChangeDto1);
        int result = assetService.updateAssetInfo(list);
        if(result > 0) {
            return ResponseUtil.getResult(CodeEnum.COMMONS_SUCCESS.getCode(),true,null);
        }else {
            return ResponseUtil.getResult(CodeEnum.COMMONS_ERROR.getCode(), true, null);
        }
    }

    String getUser(HttpServlet req){


     return  "userID";
    }
}
