
package com.fuzamei.interceptor;

import com.fuzamei.entity.User;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


/**
 * Created by fuzamei95 on 2018/5/24.
 */

public class LoginInterceptor implements HandlerInterceptor {
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
    String url= request.getRequestURI();
    //System.out.println("进入拦截器1");
    if(url.contains("login")||url.contains("registry")){
        return true;
    }
    //System.out.println("get session");
    HttpSession session = request.getSession();
    User user = (User)session.getAttribute("u");
    //System.out.println(user.toString());
    if(!user.getToken().equals("0")) {
        //System.out.println("进入拦截器");
        return true;
    }
    response.sendRedirect(request.getContextPath());
        return false;
    }

    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {

    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {

    }
}

