package com.fuzamei.po;

import java.math.BigInteger;

public class BillMarket {
	/**
	 * 主键自增id
	 */
	private Integer id;
	
	/**
	 * 单据id
	 */
	private Integer orderId;
	
	/**
	 * 操作企业id
	 */
	private Integer operatorEnterpriseId;
	
	/**
	 * 操作企业名称
	 */
	private String  operatorEnterprise;
	
	/**
	 * 创建时间
	 */
	private Long createTime;
	
	
	/**
	 * 转让金额
	 */
	private double transferMoney;
	
	/**
	 * 利率
	 */
	private double rate;
	
	/**
	 * 贴现费
	 */	
	private double discountMoney;
	
	/**
	 * 支付金额
	 */
	private double payMent;
	
	/**
	 * 单据类型  0 应收账   1 应付账
	 */
	private int orderType;
	
	/**
	 * 融资类型
	 */
	private int status;
	
	
	/**
	 * 挂牌状态  0已摘牌 1挂牌中
	 */
	private int delistStatus;


	public Integer getId() {
		return id;
	}


	public void setId(Integer id) {
		this.id = id;
	}


	public Integer getOrderId() {
		return orderId;
	}


	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}


	


	public Integer getOperatorEnterpriseId() {
		return operatorEnterpriseId;
	}


	public void setOperatorEnterpriseId(Integer operatorEnterpriseId) {
		this.operatorEnterpriseId = operatorEnterpriseId;
	}


	public String getOperatorEnterprise() {
		return operatorEnterprise;
	}

	

	public Long getCreateTime() {
		return createTime;
	}


	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}


	public void setOperatorEnterprise(String operatorEnterprise) {
		this.operatorEnterprise = operatorEnterprise;
	}


	public double getTransferMoney() {
		return transferMoney;
	}


	public void setTransferMoney(double transferMoney) {
		this.transferMoney = transferMoney;
	}


	public double getRate() {
		return rate;
	}


	public void setRate(double rate) {
		this.rate = rate;
	}


	public double getDiscountMoney() {
		return discountMoney;
	}


	public void setDiscountMoney(double discountMoney) {
		this.discountMoney = discountMoney;
	}


	public double getPayMent() {
		return payMent;
	}


	public void setPayMent(double payMent) {
		this.payMent = payMent;
	}


	public int getOrderType() {
		return orderType;
	}


	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}


	public int getStatus() {
		return status;
	}


	public void setStatus(int status) {
		this.status = status;
	}


	public int getDelistStatus() {
		return delistStatus;
	}


	public void setDelistStatus(int delistStatus) {
		this.delistStatus = delistStatus;
	}


	@Override
	public String toString() {
		return "BillMarket [id=" + id + ", orderId=" + orderId + ", operatorEnterpriseId=" + operatorEnterpriseId
				+ ", operatorEnterprise=" + operatorEnterprise + ", createTime=" + createTime + ", transferMoney="
				+ transferMoney + ", rate=" + rate + ", discountMoney=" + discountMoney + ", payMent=" + payMent
				+ ", orderType=" + orderType + ", status=" + status + ", delistStatus=" + delistStatus + "]";
	}

}
