package com.fuzamei.po;

import java.math.BigInteger;

/**
 * 
 * 用户操作日志实体类
 * @author 刘帅
 *
 */
public class LogAct {
	
	/**
	 * 自增id，主键
	 */
	private Integer id;
	
	/**
	 * 单据id
	 */
	private String orderId;
	
	/**
	 * 操作类型
	 */
	private String operatorType;
	
	/**
	 * 操作时间
	 */
	private Long operatorTime;
	
	
	/**
	 * 操作企业id
	 */
	private Integer operatorEnterpriseId;
	
	/**
	 * 操作企业名称
	 */
	private String operatorEnterpriseName;
	
	/**
	 * 交易对手id
	 */
	private Integer tradeEnterpriseId;
	
	/**
	 * 交易对手企业名称
	 */
	private String tradeEnterpriseName;
	
	/**
	 * 市场id
	 * @return
	 */
	private Integer marketId;
	
	/**
	 * 市场类型
	 */
	private String marketContent;
	
	/**
	 * 应收账总额
	 * @return
	 */
	private double billTotalMoney;


	/**
	 * 操作金额
	 */
	private double operatorMoney;

	/**
	 * 出账企业(付款企业)
	 */
	private String paymentEnterpriseName;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOperatorType() {
		return operatorType;
	}

	public void setOperatorType(String operatorType) {
		this.operatorType = operatorType;
	}

	

	public Long getOperatorTime() {
		return operatorTime;
	}

	public void setOperatorTime(Long operatorTime) {
		this.operatorTime = operatorTime;
	}

	public Integer getOperatorEnterpriseId() {
		return operatorEnterpriseId;
	}

	public void setOperatorEnterpriseId(Integer operatorEnterpriseId) {
		this.operatorEnterpriseId = operatorEnterpriseId;
	}

	public String getOperatorEnterpriseName() {
		return operatorEnterpriseName;
	}

	public void setOperatorEnterpriseName(String operatorEnterpriseName) {
		this.operatorEnterpriseName = operatorEnterpriseName;
	}

	public Integer getTradeEnterpriseId() {
		return tradeEnterpriseId;
	}

	public void setTradeEnterpriseId(Integer tradeEnterpriseId) {
		this.tradeEnterpriseId = tradeEnterpriseId;
	}

	public String getTradeEnterpriseName() {
		return tradeEnterpriseName;
	}

	public void setTradeEnterpriseName(String tradeEnterpriseName) {
		this.tradeEnterpriseName = tradeEnterpriseName;
	}

	public Integer getMarketId() {
		return marketId;
	}

	public void setMarketId(Integer marketId) {
		this.marketId = marketId;
	}

	public String getMarketContent() {
		return marketContent;
	}

	public void setMarketContent(String marketContent) {
		this.marketContent = marketContent;
	}

	public double getBillTotalMoney() {
		return billTotalMoney;
	}

	public void setBillTotalMoney(double billTotalMoney) {
		this.billTotalMoney = billTotalMoney;
	}

	public double getOperatorMoney() {
		return operatorMoney;
	}

	public void setOperatorMoney(double operatorMoney) {
		this.operatorMoney = operatorMoney;
	}

	public String getPaymentEnterpriseName() {
		return paymentEnterpriseName;
	}

	public void setPaymentEnterpriseName(String paymentEnterpriseName) {
		this.paymentEnterpriseName = paymentEnterpriseName;
	}

	@Override
	public String toString() {
		return "LogAct [id=" + id + ", orderId=" + orderId + ", operatorType=" + operatorType + ", operatorTime="
				+ operatorTime + ", operatorEnterpriseId=" + operatorEnterpriseId + ", operatorEnterpriseName="
				+ operatorEnterpriseName + ", tradeEnterpriseId=" + tradeEnterpriseId + ", tradeEnterpriseName="
				+ tradeEnterpriseName + ", marketId=" + marketId + ", marketContent=" + marketContent
				+ ", billTotalMoney=" + billTotalMoney + ", operatorMoney=" + operatorMoney + ", paymentEnterpriseName="
				+ paymentEnterpriseName + "]";
	}
	
	
	

	
}
