package com.fuzamei.service;

import com.fuzamei.dto.BillPayInfoDto;
import com.fuzamei.dto.UpdateBillOrderActDto;
import com.fuzamei.entity.BillOrderAct;

/**
 * @file_name: BillOrderActService
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/10 10:25
 * @version：
 */
public interface BillOrderActService {
    /**
     * 插入流转表记录
     *
     * @param billOrderAct
     * @return
     */
    int insertIntoOrderAct(BillOrderAct billOrderAct);

    /**
     * 更新流转表
     *
     * @param updateBillOrderActDto
     * @return
     */
    int updateBillOrderActStatus(UpdateBillOrderActDto updateBillOrderActDto);

    /**
     * 单据支付
     *
     * @param billPayInfoDto
     * @return
     */
    int payBill(BillPayInfoDto billPayInfoDto);

    /**
     * 确认支付
     * @param billOrderActId
     * @return
     */
    int confirmPay(int billOrderActId,boolean confirm);




}
