package com.fuzamei.service.serviceimpl;

import com.fuzamei.dao.UserMapper;
import com.fuzamei.entity.User;
import com.fuzamei.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by fuzamei95 on 2018/4/28.
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    UserMapper userMapper;

    @Override
    public User findUserById(Integer userID) {
        return userMapper.findUserById(userID);
    }

    @Override
    public Integer updateUser(User user) {
        return  userMapper.updateUser(user);
    }

    @Override
    public List<User> findAll() {
        return userMapper.findAll();
    }

    @Override
    public void deleteUser(Integer userID) {

          userMapper.deleteUser(userID);

    }

    @Override
    public void addUser(User user) {
        userMapper.addUser(user);

    }

    public List<User> findUserByTel(String userTel){
        return userMapper.findUserByTel(userTel);
    }

    public void registry(User user){
        userMapper.registry(user);
    }

    public void logout(User user){
        userMapper.logout(user);
    }

}
