package com.fuzamei.common.bean;

import com.fuzamei.vo.TimeStampUtil;

import java.text.ParseException;

/**
 * @file_name: OpteratorTime
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:51
 * @version：
 */
public class OpteratorTime {
    private long createTime;
    private String createBy;
    private long modifyTime;
    private String modifyBy;

    public OpteratorTime(){}


    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        try {
            this.createTime = TimeStampUtil.dateToStamp(createTime);
        }catch (ParseException e){
            e.printStackTrace();
        }
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public long getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        try {
            this.modifyTime = TimeStampUtil.dateToStamp(modifyTime);
        }catch (ParseException e){
            e.printStackTrace();
        }
    }

    public String getModifyBy() {
        return modifyBy;
    }

    public void setModifyBy(String modifyBy) {
        this.modifyBy = modifyBy;
    }

    @Override
    public String toString() {
        return "OpteratorTime{" +
                "createTime='" + createTime + '\'' +
                ", createBy='" + createBy + '\'' +
                ", modifyTime='" + modifyTime + '\'' +
                ", modifyBy='" + modifyBy + '\'' +
                '}';
    }
}
