package com.fuzamei.common.constrain;

/**
 * @file_name: g
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/3 9:43
 * @version：
 */
public enum OperationEnum {
    /*
        充值(18),提现(19),拒绝签收(29),支付(11),
        撤销支付(14),确认支付(21),确认签收(35),兑付(17),
        申请兑付(16),担保审核(30),修改(32),撤销录入(33),
        确认担保(34),同意撤销(36),拒绝撤销(37),申请担保(39),
        担保兑付(40),解包(51),申请质押(53),申请回购(54),
        摘取质押(58),撤销质押(59),同意支付撤销(48),拒绝支付撤销(49),
        收票(61);
        */
    HANG_CARD("挂牌", 7),
    PAY("支付", 11),
    APPLY_HONOUR("申请兑付", 16),
    HONOUR("兑付", 17),
    CONFIRM_PAY("确认支付", 21),
    DELIST("摘牌", 23),
    REMOVE_THE_CARD("撤牌", 24),
    REFUSING_RECEIPT("拒绝签收", 29),
    WARRANT_AUDITING("担保审核", 30),
    CANCEL_INPUT("撤销录入", 33),
    CONFIRM_WARRANT("确认担保", 34),
    CONFIRM_RECEIPT("确认签收", 35),
    AGREE_CANCEL("同意撤销", 36),
    REFUSING_CANCEL("拒绝撤销", 37),
    APPLY_WARRANT("申请担保", 39),
    WARRANT_HONOUR("担保兑付", 40),
    AGREE_PAY_CANCEL("同意支付撤销", 48),
    REFUSING_PAY_CANCEL("拒绝支付撤销", 49),
    UNPACK("解包", 51),
    APPLY_PLEDGE("申请质押", 53),
    APPLY_BUYBACK("申请回购", 54),
    APPLY_ADVANCE_BUYBACK("申请提前回购", 78),
    APPLY_OVERDUE_BUYBACK("申请逾期回购", 79),
    PICK_PLEDGE("摘取质押", 58),
    CANCEL_PLEDGE("撤销质押", 59),
    COLLECT_TICKET("收票", 61),
    PACK("打包", 62),
    ADVANCE_PAYMENT("提前兑付",63),
    EXPIRE_PAYMENT("到期兑付",64),
    OVERDUE_PAYMENT("逾期兑付",65),

    OPEN_BILL("开票",80),
    EDIT("修改", 32),
    APPLY_MORTGAGE_LOAN("申请抵押借款",66),
    CANCEL_APPLY_MORTGAGE_LOAN("撤销申请抵押借款",68),
    PICK_MORTGAGE_LOAN("摘取抵押借款",69),
    APPLY_MORTGAGE_LOAN_BUYBACK("申请抵押回购",66),
    CANCEL_BILL("应收账撤销",70);





    // 成员变量
    private String name;
    private int code;
    // 构造方法
    private OperationEnum(String name, int code) {
        this.name = name;
        this.code = code;
    }

    // 普通方法
    public static String getName(int code) {
        for (OperationEnum c : OperationEnum.values()) {
            if (c.getCode() == code) {
                return c.name;
            }
        }
        return null;
    }
    // get set 方法
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public void setCode(int code) {
        this.code = code;
    }
}
