package com.fuzamei.dao;

import com.fuzamei.dto.FilterDto;
import com.fuzamei.dto.OrderDto;
import com.fuzamei.entity.Order;
import com.fuzamei.vo.BillDetailVo;
import com.fuzamei.dto.InitiateBillVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @file_name: BillDao
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:34
 * @version：
 */
@Repository
public interface BillDao {
   List<InitiateBillVo> getInitiateBillInfo(FilterDto filterDto);
   Order selectBillDetail(String id);
   int insertOrder(Order orderDto);
   int updateBill(Order order);


}
