package com.fuzamei.dao;

import com.fuzamei.entity.Enterprise;
import com.fuzamei.entity.UserEnterprise;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * Created by fuzamei95 on 2018/5/14.
 */

@Repository
public interface EnterpriseMapper {

    List<Enterprise> findInfo();

    void updateInfo(@RequestBody Enterprise enterprise);

    void createInfo(@RequestBody Enterprise enterprise);

    List<Enterprise> findEnterpriseByAccount(@Param("enterpriseAccount") String enterpriseAccount);

    //根据账户id（手机号）找用户企业关联表
    UserEnterprise getUserEnterpriseByUserTel(String userTel);


}
