package com.fuzamei.dao;

import com.fuzamei.dto.BaseDTO;
import com.fuzamei.dto.PickDTO;
import com.fuzamei.entity.Market;

import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MarketDAO {

    int insertMarket(Market marketPO);

    List<Market> selectByState(BaseDTO baseDTO);

    Market selectById(Integer marketId);

    int updateMarket(Market market);

    int updateDelistStatus(PickDTO pickDTO);

}
