package com.fuzamei.dao;

import com.fuzamei.entity.User;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by fuzamei95 on 2018/4/28.
 */

@Repository
public interface UserMapper {
    User findUserById(@Param("userID") Integer userID);

    Integer updateUser(User user);

    List<User> findAll();

    void deleteUser(@Param("userID") Integer userID);

    void  addUser(User user);

    List<User> findUserByTel(@Param("userTel") String userTel);

    void registry(User user);

    void logout(User user);
}
