package com.fuzamei.po;

import java.math.BigInteger;
import java.util.Date;

import org.omg.PortableServer.ID_ASSIGNMENT_POLICY_ID;

/**
 * 
 * 资金流水日志实体类
 * @author 刘帅
 *
 */
public class LogCapital {
	
	/**
	 * 自增id
	 */
	private Integer id;
	
	/**
	 * 企业编号
	 */
	private Integer enterpriseId;
	
	
	/**
	 * 流水时间
	 */
	private Long dateTime;
	
	/**
	 * 操作类型
	 */
	private String operatorType;
	
	/**
	 * 金额
	 */
	private double cash;
	
	/**
	 * 操作结果
	 */
	private String operatorResult;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(Integer enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	

	public Long getDateTime() {
		return dateTime;
	}

	public void setDateTime(Long dateTime) {
		this.dateTime = dateTime;
	}

	public String getOperatorType() {
		return operatorType;
	}

	public void setOperatorType(String operatorType) {
		this.operatorType = operatorType;
	}

	public double getCash() {
		return cash;
	}

	public void setCash(double cash) {
		this.cash = cash;
	}

	public String getOperatorResult() {
		return operatorResult;
	}

	public void setOperatorResult(String operatorResult) {
		this.operatorResult = operatorResult;
	}

	@Override
	public String toString() {
		return "LogCapital [id=" + id + ", enterpriseId=" + enterpriseId + ", dateTime=" + dateTime + ", operatorType="
				+ operatorType + ", cash=" + cash + ", operatorResult=" + operatorResult + "]";
	}

	
}
