package com.fuzamei.service.serviceimpl;

import com.fuzamei.dao.AssetDao;
import com.fuzamei.dto.AssetChangeDto;
import com.fuzamei.service.AssetService;
import com.fuzamei.util.BeanCopyUtil;
import com.fuzamei.vo.AssetDetailVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @file_name: AssetServiceImpl
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/10 12:11
 * @version：
 */
@Service
public class AssetServiceImpl implements AssetService{
    @Autowired
    AssetDao assetDao;
    @Override
    public AssetDetailVo getCurrentUserAsset(String id) {
        return (AssetDetailVo) BeanCopyUtil.beanCopy(assetDao.getAssetDetail(id),AssetDetailVo.class);
    }

    @Override
    public int updateAssetInfo(List<AssetChangeDto> list) {
        return assetDao.updateAssetWithList(list);
    }
}
