package com.fuzamei.service.serviceimpl;

import com.fuzamei.entity.Enterprise;
import com.fuzamei.dao.EnterpriseMapper;
import com.fuzamei.service.EnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by fuzamei95 on 2018/5/14.
 */
@Service
public class EnterpriseServiceImpl implements EnterpriseService {


    @Autowired
    EnterpriseMapper enterpriseMapper;


    public List<Enterprise> findInfo(){
        return enterpriseMapper.findInfo();
    }
    @Override
    public void CreateInfo(Enterprise enterprise) {
        enterpriseMapper.createInfo(enterprise);
    }

    @Override
    public void UpdateInfo(Enterprise enterprise) {
        enterpriseMapper.updateInfo(enterprise);
    }

    public List<Enterprise> findEnterpriseByAccount(String enterpriseAccount){
        return enterpriseMapper.findEnterpriseByAccount(enterpriseAccount);
    }
}
