package com.fuzamei.vo;

import java.util.Date;

/**
 * 
 * 操作记录页面显示
 * @author 张梦杰
 *
 */
public class LogActVo {
	
	/**
	 * 自增id，序号
	 */
	private Integer id;
	
	/**
	 * 应收帐编号
	 * 单据id
	 */
	private String orderId;
	
	/**
	 *出账企业名称
	 */
	private String paymentEnterpriseName;
	
	/**
	 * 应收帐总额
	 */
	private double billTotalMoney;
	
	/**
	 * 操作类型
	 */
	private String operatorType;
	
	/**
	 * 操作时间
	 */
	private Date dateTime;
	
	/**
	 * 市场id
	 * @return
	 */
	private Integer marketId;
	
	/**
	 * 交易详情
	 */
	private String marketContent;
	
	/**
	 * 操作企业名称
	 */
	private String operatorEnterpriseName;
	
	/**
	 * 交易对手企业名称
	 */
	private String tradeEnterpriseName;

	
	/**
	 * 操作金额
	 */
	private double operatorMoney;
	
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getPaymentEnterpriseName() {
		return paymentEnterpriseName;
	}

	public void setPaymentEnterpriseName(String paymentEnterpriseName) {
		this.paymentEnterpriseName = paymentEnterpriseName;
	}

	public double getBillTotalMoney() {
		return billTotalMoney;
	}

	public void setBillTotalMoney(double billTotalMoney) {
		this.billTotalMoney = billTotalMoney;
	}

	public String getOperatorType() {
		return operatorType;
	}

	public void setOperatorType(String operatorType) {
		this.operatorType = operatorType;
	}

	public Date getDateTime() {
		return dateTime;
	}

	public void setDateTime(Date dateTime) {
		this.dateTime = dateTime;
	}

	public Integer getMarketId() {
		return marketId;
	}

	public void setMarketId(Integer marketId) {
		this.marketId = marketId;
	}

	public String getMarketContent() {
		return marketContent;
	}

	public void setMarketContent(String marketContent) {
		this.marketContent = marketContent;
	}

	public String getOperatorEnterpriseName() {
		return operatorEnterpriseName;
	}

	public void setOperatorEnterpriseName(String operatorEnterpriseName) {
		this.operatorEnterpriseName = operatorEnterpriseName;
	}

	public String getTradeEnterpriseName() {
		return tradeEnterpriseName;
	}

	public void setTradeEnterpriseName(String tradeEnterpriseName) {
		this.tradeEnterpriseName = tradeEnterpriseName;
	}

	
	public double getOperatorMoney() {
		return operatorMoney;
	}

	public void setOperatorMoney(double operatorMoney) {
		this.operatorMoney = operatorMoney;
	}

	@Override
	public String toString() {
		return "LogActVo [id=" + id + ", orderId=" + orderId + ", paymentEnterpriseName=" + paymentEnterpriseName
				+ ", billTotalMoney=" + billTotalMoney + ", operatorType=" + operatorType + ", dateTime=" + dateTime
				+ ", marketId=" + marketId + ", marketContent=" + marketContent + ", operatorEnterpriseName="
				+ operatorEnterpriseName + ", tradeEnterpriseName=" + tradeEnterpriseName + ", operatorMoney="
				+ operatorMoney + "]";
	}
	
	
	

}
